# vim: set ts=8 sw=4 sts=4 et ai:
# Burn a lot of CPU. Why? To slow the HP ProBook 4510s fans down!
import threading

class Worker(threading.Thread):
    stopping = False

    def __init__(self, id):
        super(Worker, self).__init__()
        self.id = id

    def run(self):
        print 'Started %d' % self.id
        i = 0
        while not self.stopping:
            i += 1
        print 'Stopped %d (count %d)' % (self.id, i)

def main():
    print 'Starting...'
    workers = []
    for i in range(4):
        w = Worker(i)
        w.start()
        workers.append(w)

    try:
        while True:
            pass
    except KeyboardInterrupt:
        print 'Stopping...'
        for w in workers:
            w.stopping = True
        for w in workers:
            w.join()

if __name__ == '__main__':
    main()
